## ros-melodic-rosbridge-library 0.11.16

=== debian/changelog ===
ros-melodic-rosbridge-library (0.11.16-2bionic) bionic; urgency=high

  * Bump minimum required cmake version. (#814 <https://github.com/RobotWebTools/rosbridge_suite/issues/814>)
  * Fix send_message being called with wrong arguments. (#812 <https://github.com/RobotWebTools/rosbridge_suite/issues/812>)
  * Contributors: Hans-Joachim Krauch

 -- Russell Toris <rctoris@wpi.edu>  Tue, 18 Oct 2022 03:00:00 -0000

ros-melodic-rosbridge-library (0.11.15-2bionic) bionic; urgency=high

  * Remove unnecessary checking of topic globs. (#793 <https://github.com/RobotWebTools/rosbridge_suite/issues/793>)
    We do not have to check the topic globs on each incoming ros message. It is enough to check if the topic is allowed to be subscribed in the actual subscribe call as the message callback method (publish) is only called when the topic is subscribed to.
  * Skip unnecessary conversion for cbor/cbor-raw compression (#792 <https://github.com/RobotWebTools/rosbridge_suite/issues/792>)
    * Skip unnecessary conversion for cbor compression.
    This change avoids some unnecessary conversions when using cbor/cbor-raw compression, leading to a significantly perfomance boost.
    * Add caching for subscriptions with cbor compression.
  * Contributors: Hans-Joachim Krauch

 -- Russell Toris <rctoris@wpi.edu>  Thu, 06 Oct 2022 03:00:00 -0000

ros-melodic-rosbridge-library (0.11.14-2bionic) bionic; urgency=high

  * Fix bson support for python3 (#545 <https://github.com/RobotWebTools/rosbridge_suite/issues/545>)
  * Small fixes (#681 <https://github.com/RobotWebTools/rosbridge_suite/issues/681>)
  * Check if key exists before accessing the dict in SubscriberManager::unsubscribe(), patches https://github.com/RobotWebTools/rosbridge_suite/issues/580 (#638 <https://github.com/RobotWebTools/rosbridge_suite/issues/638>)
  * Contributors: Matthijs van der Burgh, Nick Paul, Steve Golton

 -- Russell Toris <rctoris@wpi.edu>  Mon, 13 Jun 2022 03:00:00 -0000

ros-melodic-rosbridge-library (0.11.13-2bionic) bionic; urgency=high

  * fix python-future dependency (#542 <https://github.com/RobotWebTools/rosbridge_suite/issues/542>)
    * fix python-future dependency
    This was not fixed with fadffa09b1b572e4dc11848c31bb6ebab4a3e95d
    The dependency was added with #541 <https://github.com/RobotWebTools/rosbridge_suite/issues/541>
    Python doesn't have build dependencies, only exec dependencies
    * update ros-tooling/action-ros-ci
    See:
    https://github.blog/changelog/2020-10-01-github-actions-deprecating-set-env-and-add-path-commands/
    This was fixed upstream
    - https://github.com/ros-tooling/action-ros-ci/issues/429
    - https://github.com/ros-tooling/action-ros-ci/pull/430
    * update ros-tooling/setup-ros
    See:
    https://github.blog/changelog/2020-10-01-github-actions-deprecating-set-env-and-add-path-commands/
    This is needed for upstream fix
    - https://github.com/ros-tooling/setup-ros/pull/303
  * Contributors: Alex Moriarty

 -- Russell Toris <rctoris@wpi.edu>  Tue, 08 Dec 2020 03:00:00 -0000

ros-melodic-rosbridge-library (0.11.12-2bionic) bionic; urgency=high

  * Fix missing python-future python 2 dep
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Wed, 25 Nov 2020 03:00:00 -0000

ros-melodic-rosbridge-library (0.11.11-2bionic) bionic; urgency=high

  * Use Python 3 str in incoming (#541 <https://github.com/RobotWebTools/rosbridge_suite/issues/541>)
    Fixes Python 2 unicode issues.
    Supersedes #539 <https://github.com/RobotWebTools/rosbridge_suite/issues/539> to fix regression in #514 <https://github.com/RobotWebTools/rosbridge_suite/issues/514>
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Nov 2020 03:00:00 -0000

ros-melodic-rosbridge-library (0.11.10-2bionic) bionic; urgency=high

  * possible fix for error when working with RosSharp, TypeError: can only concatenate str (not bytes) to str (#514 <https://github.com/RobotWebTools/rosbridge_suite/issues/514>)
    Co-authored-by: Dmitri <mailto:dmitri@dmitri.com>
  * Contributors: Dmitri

 -- Russell Toris <rctoris@wpi.edu>  Tue, 08 Sep 2020 03:00:00 -0000

ros-melodic-rosbridge-library (0.11.9-2bionic) bionic; urgency=high

  * noetic tests and fixes (#503 <https://github.com/RobotWebTools/rosbridge_suite/issues/503>)
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Wed, 27 May 2020 03:00:00 -0000

ros-melodic-rosbridge-library (0.11.8-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 21 May 2020 03:00:00 -0000

ros-melodic-rosbridge-library (0.11.7-2bionic) bionic; urgency=high

  * Fix backpressure deadlock (#496 <https://github.com/RobotWebTools/rosbridge_suite/issues/496>)
    * Don't block Subscription.unregister()
    * Don't add messages to finished queue handler
    * Decouple incoming WS handling from server thread
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Wed, 13 May 2020 03:00:00 -0000

ros-melodic-rosbridge-library (0.11.6-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 29 Apr 2020 03:00:00 -0000

ros-melodic-rosbridge-library (0.11.5-2bionic) bionic; urgency=high

  * Add script for dockerized development shell (#479 <https://github.com/RobotWebTools/rosbridge_suite/issues/479>)
    * Add script for dockerized development shell
    * Fix queue dropping test
  * Subscriber concurrency review (#478 <https://github.com/RobotWebTools/rosbridge_suite/issues/478>)
    * Lock access to SubscriberManager public methods
    Prevent subscribe during unsubscribe critical section.
    * Unsubscribing an unsubscribed topic is an error
    This branch must not be ignored.
    * Cleanup some redundant syntax in subscribers impl
  * Fix queue blocking (#464 <https://github.com/RobotWebTools/rosbridge_suite/issues/464>)
    * Unblock QueueMessageHandler.handle_message
    The thread was holding the lock while pushing to a potentially blocking

