=== debian/control ===
Source: ros-melodic-rosbridge-library
Section: misc
Priority: optional
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), python-bson, python-future, python-pil, python-setuptools, ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-diagnostic-msgs, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-nav-msgs, ros-melodic-rospy-tutorials, ros-melodic-rostest, ros-melodic-rosunit, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-stereo-msgs, ros-melodic-tf2-msgs, ros-melodic-trajectory-msgs, ros-melodic-visualization-msgs
Homepage: http://ros.org/wiki/rosbridge_library
Standards-Version: 3.9.2

Package: ros-melodic-rosbridge-library
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-bson, python-future, python-pil, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-rosgraph, ros-melodic-rospy, ros-melodic-rosservice, ros-melodic-rostopic, ros-melodic-std-msgs
Description: The core rosbridge package, responsible for interpreting JSON and performing the appropriate ROS action, like subscribe, publish, call service, and interact with params.
